{% load static %}
<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8" />
  {% block title %}
  <title>NARRS</title>
  {% endblock title %} {% block stylesheet %}
  <link href="https://fonts.googleapis.com/css2?family=Dosis:wght@500&display=swap" rel="stylesheet" />
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" />
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css" />
  <link rel="stylesheet" href="{% static 'home/css/base.css' %}" />
  <link rel="icon" type="image/x-icon" href="{% static 'home/img/favicon.ico' %}">

  {% endblock stylesheet %}
</head>

{% block body %}

<body>
  <div id="wrapper">
    <aside id="sidebar-wrapper">
      <div class="stars">
        <div class="sidebar-brand">
          <h2 style="color: #fff;">NARRS</h2>
        </div>
        <div>
          <ul class="sidebar-nav">
            <div class="accordion-nav" id="accordion-nav">
              <div class="accordion-nav-item">
                <h2 class="accordion-nav-header">
                  <button data-tableid="dashboards" class="nav-breadcrumb accordion-nav-button collapsed" type="button"
                    data-bs-toggle="collapse" data-bs-target="#accordion-dashboards" aria-expanded="false">
                    <a href="{% url 'dashboards:index' %}">
                      <li>
                        <i class="fa fa-table-columns fa-xl" title="Dashboards"></i>Dashboards
                      </li>
                    </a>
                  </button>
                </h2>
                <div data-tableid="dashboards" id="accordion-dashboards"
                  class="nav-breadcrumb accordion-nav-collapse collapse" data-bs-parent="#accordion-nav">
                  <div class="nav-breadcrumb accordion-nav-body">
                  </div>
                </div>
              </div>
              <div class="accordion-nav-item">
                <h2 class="accordion-nav-header">
                  <button data-tableid="devices" class="nav-breadcrumb accordion-nav-button collapsed" type="button"
                    data-bs-toggle="collapse" data-bs-target="#accordion-devices" aria-expanded="false">
                    <a href="{% url 'devices:index' %}">
                      <li>
                        <i class="fa-solid fa-server fa-xl" title="Devices"></i>Devices
                      </li>
                    </a>
                  </button>
                </h2>
                <div data-tableid="devices" id="accordion-devices"
                  class="nav-breadcrumb accordion-nav-collapse collapse" data-bs-parent="#accordion-nav">
                  <div class="nav-breadcrumb accordion-nav-body">
                    <a href="{% url 'devices:devicelist' %}">
                      <li>
                        <i class="fa-solid fa-wrench" title="DeviceDetails"></i>Details
                      </li>
                    </a>
                  </div>
                </div>
              </div>
              <div class="accordion-nav-item">
                <h2 class="accordion-nav-header">
                  <button data-tableid="networks" class="nav-breadcrumb accordion-nav-button collapsed" type="button"
                    data-bs-toggle="collapse" data-bs-target="#accordion-networks" aria-expanded="false">
                    <a href="{% url 'networks:index' %}">
                      <li>
                        <i class="fa-solid fa-diagram-project fa-xl" title="Networks"></i>Networks
                      </li>
                    </a>
                  </button>
                </h2>
                <div data-tableid="networks" id="accordion-networks"
                  class="nav-breadcrumb accordion-nav-collapse collapse" data-bs-parent="#accordion-nav">
                  <div class="nav-breadcrumb accordion-nav-body">
                  </div>
                </div>
              </div>
              <div class="accordion-nav-item">
                <h2 class="accordion-nav-header">
                  <button data-tableid="jobs" class="nav-breadcrumb accordion-nav-button collapsed" type="button"
                    data-bs-toggle="collapse" data-bs-target="#accordion-jobs" aria-expanded="false">
                    <a href="{% url 'jobs:index' %}">
                      <li>
                        <i class="fa-solid fa-gear fa-xl" title="Jobs"></i>Jobs
                      </li>
                    </a>
                  </button>
                </h2>
                <div data-tableid="jobs" id="accordion-jobs" class="nav-breadcrumb accordion-nav-collapse collapse"
                  data-bs-parent="#accordion-nav">
                  <div class="nav-breadcrumb accordion-nav-body" data-tableid="executions">
                    <a href="{% url 'jobs:executions' %}">
                      <li>
                        <i class="fa-solid fa-gears fa-xl" title="Executions"></i>Executions
                      </li>
                    </a>
                  </div>
                  <div class="nav-breadcrumb accordion-nav-body" data-tableid="results">
                    <a href="{% url 'jobs:results' %}">
                      <li>
                        <i class="fa-solid fa-list-check fa-xl" title="Results"></i>Results
                      </li>
                    </a>
                  </div>
                </div>
              </div>
              <div class="accordion-nav-item">
                <h2 class="accordion-nav-header">
                  <button data-tableid="settings" class="nav-breadcrumb accordion-nav-button collapsed" type="button"
                    data-bs-toggle="collapse" data-bs-target="#accordion-settings" aria-expanded="false">
                    <a href="{% url 'settings:index' %}">
                      <li>
                        <i class="fa-solid fa-wrench fa-xl" title="Settings"></i>Settings
                      </li>
                    </a>
                  </button>
                </h2>
                <div data-tableid="settings" id="accordion-settings"
                  class="nav-breadcrumb accordion-nav-collapse collapse" data-bs-parent="#accordion-nav">
                  <div class="nav-breadcrumb accordion-nav-body">
                  </div>
                </div>
              </div>
            </div>
          </ul>
        </div>
        {% block sidebar %} {% endblock sidebar %}

        <div class="container svg-links">
          <div class="row ms-0">
            <div class="col">
              <a href="{% url 'api-root' %}"><img src="{% static 'home/img/django.svg' %}" /></a>
            </div>
            <div class="col">
              <a href="{% url 'schema-swagger-ui' %}"><img src="{% static 'home/img/swagger.svg' %}" /></a>
            </div>
            <div class="col">
              <a href="{% url 'admin:logout' %}"><img src="{% static 'home/img/logout.svg' %}" /></a>
            </div>
          </div>
        </div>
        <div class="glowing_stars">
          <div class="star"></div>
          <div class="star"></div>
          <div class="star"></div>
          <div class="star"></div>
          <div class="star"></div>
        </div>
      </div>
    </aside>

    <div id="navbar-wrapper">
      <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
          <div class="flex-grow-1 text-right">
            <ul class="navbar-nav ms-auto flex-nowrap flex-grow-1">
              <li class="nav-item flex-grow-1">
                <div class="d-flex justify-content-start">
                  <div class="form-check form-switch">
                    <input class="form-check-input" type="checkbox" id="flexSwitchCheckDefault">
                    <label class="form-check-label" for="flexSwitchCheckDefault"></label>
                  </div>
                  <div class="input-group">
                    <input id="searchBar" type="search" class="form-control" placeholder="Search..." aria-label="Search"
                      aria-describedby="search-addon" />
                    <button id="searchButton" type="button" class="btn btn-outline-dark">
                      <i class="fa-solid fa-magnifying-glass"></i>
                    </button>
                  </div>
                </div>
              </li>
            </ul>
          </div>
        </div>
      </nav>
    </div>

    <section id="content-wrapper">
      {% block content-title %} {% endblock content-title %} {% block content %} {% endblock content %}
    </section>
  </div>
  {% endblock body %}
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.min.js"></script>
  <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
  <script src="{% static 'home/js/retry.js' %}"></script>
  <script src="{% static 'home/js/base.js' %}"></script>
  {% block javascript %} {% endblock javascript %}
</body>
  <footer>
        <p>&copy; Powered by Dev Squad 2023 </p>
    </footer>
</html>